
import 'package:flutter/cupertino.dart';
import 'package:flutter_easyloading/flutter_easyloading.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:farmer_client/widgets/layout/BasicPage.dart';
import 'package:get/get.dart';

import 'package:farmer_client/utils/timer.dart';

class UpgradePage extends BasicPage {
  UpgradePage({Key? key}) : super(key: key) {
    naviTitle = '检查更新';
  }

  @override
  Widget builder(BuildContext context) {

    return Container(
      margin: EdgeInsets.only(top: 24.h),
      padding: EdgeInsets.symmetric(horizontal: 32.w),
      child: Column(
        children: [
          DefaultButton(
            color: const Color(0xffffffff),
            backColor: const Color(0xFFFF703B),
            width: Get.width - 64.w,
            height: 49.h,
            text: '检查更新',
            margin: const EdgeInsets.all(0),
            fontSize: 20.sp,
            radius: 24.5.w,
            onPressed: () {
              EasyLoading.show(status: '正在检查更新...');

              setTimeout(() {
                EasyLoading.showToast('当前已是最新版本');

                setTimeout(() {
                  EasyLoading.dismiss();
                }, 1500);
              }, 3000);
            },
          )
        ],
      ),
    );
  }

}
